#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%define app_name p1_xmlrpc

Name:           erlang-%{app_name}
Version:        1.15.1+git1453548418.a26476a
Release:        1.87
%define app_ver %(echo "%{version}" | cut -d "+" -f1)
License:        MIT
Summary:        Erlang XMLRPC implementation with SSL, cookies, Authentication
Url:            http://github.com/processone/p1_xmlrpc
Group:          Development/Libraries/Other
Source:         %{app_name}-%{version}.tar.bz2
Requires:       erlang
BuildRequires:  erlang
BuildRequires:  erlang-rebar
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Erlang XMLRPC implementation with SSL, cookies, Authentication.

This is an HTTP 1.1 compliant XML-RPC library for Erlang. It is designed to
make it easy to write XML-RPC Erlang clients and/or servers. The library is
compliant with the XML-RPC specification published by http://www.xmlrpc.org/.

%prep
%setup -q -n %{app_name}-%{version}

%build
%rebar compile

%install
for dir in ebin ; do
  mkdir -p %{buildroot}%{erlang_libdir}/%{app_name}-%{app_ver}/${dir}
  cp -r ${dir}/* %{buildroot}%{erlang_libdir}/%{app_name}-%{app_ver}/${dir}/
done

%check
%rebar eunit

%files
%defattr(-,root,root)
%dir %{erlang_libdir}/%{app_name}-%{app_ver}
%dir %{erlang_libdir}/%{app_name}-%{app_ver}/ebin
%{erlang_libdir}/%{app_name}-%{app_ver}/ebin/%{app_name}.app
%{erlang_libdir}/%{app_name}-%{app_ver}/ebin/*.beam

%changelog
* Sat Mar  5 2016 mrueckert@suse.de
- update to a26476a
